Skip to main content
GET
/
v1
/
event-types
cURL
curl --request GET \
  --url https://api.novacal.io/v1/event-types \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": 123,
    "name": "<string>",
    "slug": "<string>",
    "description": "<string>",
    "type": "one_on_one",
    "duration": 720,
    "max_group_size": 6,
    "hidden_from_profile": true,
    "color": "<string>",
    "redirect_enabled": true,
    "redirect_url": "<string>",
    "time_slot_interval": 62,
    "buffer_time_before_event": 60,
    "buffer_time_after_event": 60,
    "min_scheduling_notice": 21600,
    "min_scheduling_notice_type": "minutes",
    "booking_frequency_limits": [
      {
        "period": "day",
        "limit": 21600
      }
    ],
    "form_fields": [
      {
        "identifier": "<string>",
        "label": "<string>",
        "type": "<string>",
        "placeholder": "<string>",
        "is_required": true,
        "options": [
          "<string>"
        ]
      }
    ]
  }
}

What this endpoint returns

This endpoint lists the event types the authenticated user can access in Novacal.

Common use cases

  • Populate an internal event type selector
  • Sync booking configuration into another system
  • Review visibility, duration, and booking form settings across event types

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Event types response

success
boolean
required

Indicates whether the request was successful

Example:

true

data
object
required

The response data. Can be an object, array, or null